create.smooth <-
function(ecopath,smooth=NULL,decalage=NULL,pas=NULL,sigmaLN=NULL)
{
if (is.null(smooth)) smooth <- 0.07                 ##default values
if (is.null(decalage)) decalage <- 0.95 
if (is.null(pas)) pas <- 0.1

TL_out <- c(1,seq(from=2, to=7, by=pas))
#tab_smooth <- array(dim=c(length(TL_out),length(ecopath$group_name)),dimnames=list(TL_out,ecopath$group_name))

Troph_round <- ecopath$TL


for (i in 1:length(ecopath$group_name))
{
tmp_tl=ecopath[i,]$TL
Troph_round[i] <- seq(0,7,pas)[as.numeric(cut(tmp_tl+0.0000000000001,seq(0,7,pas),right=FALSE))]  ## assignment of a trophic class to the trophic groups
}

TL_out <- c(1,seq(from=2, to=7, by=pas))
tab_smooth <- array(dim=c(length(TL_out),length(ecopath$group_name)),dimnames=list(TL_out,Troph_round))


if (is.null(sigmaLN))
sigmaLN <- smooth*log(Troph_round-0.05)                  ##lognormal default sigma (other choices : OI or saturation function)
 


for (i in 1:length(ecopath$group_name))
for (j in 1:length(TL_out))
tab_smooth[j,i]<-exp(-1/2*((log(TL_out[j]-decalage)-log(Troph_round[i]-decalage))/sigmaLN[i])^2)/((TL_out[j]-decalage)*sigmaLN[i]*((2*pi)^(1/2)))


#tab_smooth[1,]<-0                           ##values for TL=1, no dispersion
#tab_smooth[1,1]<-1


sumcol <- colSums(tab_smooth)
for (i in 1:length(ecopath$group_name))
tab_smooth[,i]<- tab_smooth[,i]/sumcol[i] 
tab_smooth[is.na(tab_smooth)]<-0
return(tab_smooth)
}

