\name{create.smooth}
\alias{create.smooth}
%- Also NEED an '\alias' for EACH other topic documented here. ????
\title{
Create Smooth Function
}
\description{
create.smooth is used to create a smooth function. This function enables the conversion of data pertaining to specific taxa or functional groupings into data by trophic classes. The main assumption in this Smooth function is that the distribution of the biomass or catch of a trophic group around its mean trophic level follows a lognormal curve. The curve is defined by a mean (the mean TL of a trophic group) and a standart deviation (sigma), which is a measure of the trophic level variability within the group. The distribution are then defined by the lognormal function LN(mean TL, sigma).
}
\usage{
create.smooth(ecopath,smooth = NULL, decalage = NULL, pas = NULL, sigmaLN = NULL)
}
%- maybe also 'usage' for other objects documented here. ????
\arguments{
\item{ecopath}{
is the table returned by the Ecopath routine. The different varaiables are the group name, its trophic level, biomass, production and consumption ratio, catches, omnivory index and accessibility (fraction of the group that can be catch supposing an infinite fishing effort).
}
  \item{smooth}{
defines the slope of the log-linearly increase of the TL variability with the mean trophic level of the group. Sigma(TL) is thus defined as sigma(TL)=smooth*ln(TL-0.05).
}
  \item{decalage}{
defines the beginning of the smooth function and allows the substraction of 0.05 in the sigma calculation accounting for the half interval range of the trophic class.
}
  \item{pas}{
defines the splitting of the TL classes. 
}
  \item{sigmaLN}{
defines the sigma of the lognormal distribution. By default sigmaLN=smooth*ln(TL-0.05).
}
}
\details{
The user have the possibility to manually define sigma for each trophic group and also adjust the LN distribution with the smooth, decalage and pas parameters. Other choises are available : the sigma is equal to the omnivory index or is calculated using a saturation function (see sigma.saturation function).
}
\value{
create.smooth returns a table of the TL distribution within a trophic class. This table enables the calculation of Trophic Spectra. 
}
\references{
Gascuel et al. (2009) EcoTroph (ET): a trophic level based software for assessing the impacts of fishing on aquatic ecosystems.
}
\author{
Colleter Mathieu and Guitton Jerome.
}
\note{
%%  ~~further notes~~ %%%%
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
plot.smooth.R for plotting the smooth function, saturation.R to choose an other function for the sigma distribution, Transpose.R to calculate the data transposition into trophic spectra, plot.Transpose.R to plot the trophic spectra.
}
\examples{
data(ecopath_guinee)
create.smooth(ecopath_guinee)
create.smooth(ecopath_guinee,smooth=0.05,pas=0.2)
create.smooth(ecopath_guinee,sigmaLN=saturation())
create.smooth(ecopath_guinee,sigmaLN=ecopath_guinee$OI)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~EcoTroph }
\keyword{ ~Smooth }
